<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
    <ion-title>Sign in</ion-title>
  </ion-toolbar>
</ion-header>
<ion-content>
  <form>
    <ion-item lines="full">
      <ion-label position="floating">Email</ion-label>
      <ion-input type="text" #email required></ion-input>
    </ion-item>
    <ion-item lines="full">
      <ion-label position="floating">Password</ion-label>
      <ion-input type="password" #password required></ion-input>
    </ion-item>
    <ion-row>
      <ion-col>
        <ion-button type="submit" (click)="logIn(email, password)"
          expand="block">Login</ion-button>
      </ion-col>
    </ion-row>
  </form>
  <ion-row>
    <div class="ion-padding-start ion-padding-top">
      If you don't have an account, please <a routerLink='/register'>
        Register</a> first!
    </div>
  </ion-row>
</ion-content>